Package com.independentsoft.office.word

# Enum Class ShadingPattern

java.lang.Object
java.lang.Enum<ShadingPattern>
com.independentsoft.office.word.ShadingPattern

All Implemented Interfaces:
  `Serializable`, `Comparable<ShadingPattern>`, `Constable`

public enum ShadingPattern extends Enum<ShadingPattern>
The Enum ShadingPattern.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLEAR`
  `DIAGONAL_CROSS`
  `DIAGONAL_STRIPE`
  `HORIZONTAL_CROSS`
  `HORIZONTAL_STRIPE`
  `NONE`
  `PERCENT_10`
  `PERCENT_12`
  `PERCENT_15`
  `PERCENT_20`
  `PERCENT_25`
  `PERCENT_30`
  `PERCENT_35`
  `PERCENT_37`
  `PERCENT_40`
  `PERCENT_45`
  `PERCENT_5`
  `PERCENT_50`
  `PERCENT_55`
  `PERCENT_60`
  `PERCENT_62`
  `PERCENT_65`
  `PERCENT_70`
  `PERCENT_75`
  `PERCENT_80`
  `PERCENT_85`
  `PERCENT_87`
  `PERCENT_90`
  `PERCENT_95`
  `REVERSE_DIAGONAL_STRIPE`
  `SOLID`
  `THIN_DIAGONAL_CROSS`
  `THIN_DIAGONAL_STRIPE`
  `THIN_HORIZONTAL_CROSS`
  `THIN_HORIZONTAL_STRIPE`
  `THIN_REVERSE_DIAGONAL_STRIPE`
  `THIN_VERTICAL_STRIPE`
  `VERTICAL_STRIPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShadingPattern`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShadingPattern[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLEAR

    public static final ShadingPattern CLEAR

  - ### DIAGONAL_CROSS

    public static final ShadingPattern DIAGONAL_CROSS

  - ### DIAGONAL_STRIPE

    public static final ShadingPattern DIAGONAL_STRIPE

  - ### HORIZONTAL_CROSS

    public static final ShadingPattern HORIZONTAL_CROSS

  - ### HORIZONTAL_STRIPE

    public static final ShadingPattern HORIZONTAL_STRIPE

  - ### NONE

    public static final ShadingPattern NONE

  - ### PERCENT_10

    public static final ShadingPattern PERCENT_10

  - ### PERCENT_12

    public static final ShadingPattern PERCENT_12

  - ### PERCENT_15

    public static final ShadingPattern PERCENT_15

  - ### PERCENT_20

    public static final ShadingPattern PERCENT_20

  - ### PERCENT_25

    public static final ShadingPattern PERCENT_25

  - ### PERCENT_30

    public static final ShadingPattern PERCENT_30

  - ### PERCENT_35

    public static final ShadingPattern PERCENT_35

  - ### PERCENT_37

    public static final ShadingPattern PERCENT_37

  - ### PERCENT_40

    public static final ShadingPattern PERCENT_40

  - ### PERCENT_45

    public static final ShadingPattern PERCENT_45

  - ### PERCENT_5

    public static final ShadingPattern PERCENT_5

  - ### PERCENT_50

    public static final ShadingPattern PERCENT_50

  - ### PERCENT_55

    public static final ShadingPattern PERCENT_55

  - ### PERCENT_60

    public static final ShadingPattern PERCENT_60

  - ### PERCENT_62

    public static final ShadingPattern PERCENT_62

  - ### PERCENT_65

    public static final ShadingPattern PERCENT_65

  - ### PERCENT_70

    public static final ShadingPattern PERCENT_70

  - ### PERCENT_75

    public static final ShadingPattern PERCENT_75

  - ### PERCENT_80

    public static final ShadingPattern PERCENT_80

  - ### PERCENT_85

    public static final ShadingPattern PERCENT_85

  - ### PERCENT_87

    public static final ShadingPattern PERCENT_87

  - ### PERCENT_90

    public static final ShadingPattern PERCENT_90

  - ### PERCENT_95

    public static final ShadingPattern PERCENT_95

  - ### REVERSE_DIAGONAL_STRIPE

    public static final ShadingPattern REVERSE_DIAGONAL_STRIPE

  - ### SOLID

    public static final ShadingPattern SOLID

  - ### THIN_DIAGONAL_CROSS

    public static final ShadingPattern THIN_DIAGONAL_CROSS

  - ### THIN_DIAGONAL_STRIPE

    public static final ShadingPattern THIN_DIAGONAL_STRIPE

  - ### THIN_HORIZONTAL_CROSS

    public static final ShadingPattern THIN_HORIZONTAL_CROSS

  - ### THIN_HORIZONTAL_STRIPE

    public static final ShadingPattern THIN_HORIZONTAL_STRIPE

  - ### THIN_REVERSE_DIAGONAL_STRIPE

    public static final ShadingPattern THIN_REVERSE_DIAGONAL_STRIPE

  - ### THIN_VERTICAL_STRIPE

    public static final ShadingPattern THIN_VERTICAL_STRIPE

  - ### VERTICAL_STRIPE

    public static final ShadingPattern VERTICAL_STRIPE

- ## Method Details

  - ### values

    public static ShadingPattern[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShadingPattern valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null